Name:           ladspa-autotalent-plugins
Version:        0.2
Release:    1%{?dist}
Summary:        A pitch-correcting LADSPA plugin

License:        GPL-2.0-or-later AND BSD-3-Clause
URL:            http://tombaran.info/autotalent.html
Source0:         http://tombaran.info/autotalent-%{version}.tar.gz

ExcludeArch:    %{ix86}

BuildRequires:  gcc
BuildRequires:  make

BuildRequires:  ladspa-devel

Requires:       ladspa

%description
Autotalent is a real-time pitch correction plugin. You specify the notes that a
singer is allowed to hit, and Autotalent makes sure that they do. You can also
use Autotalent for more exotic effects, making your voice sound like a
chiptune, adding artificial vibrato, or messing with your formants.  Autotalent
can also be used as a harmonizer that knows how to sing in the scale with you.
Or, you can use Autotalent to change the scale of a melody between major and
minor or to change the musical mode.

A reference card is available at:

http://tombaran.info/autotalent-%{version}_refcard.pdf


%prep
%setup -q -n autotalent-%{version}

rm -v ladspa.h
sed -i 's|ladspa.h||' Makefile


%build
export CFLAGS="-I. ${CFLAGS-} -Wall -ffast-math -c -fPIC -DPIC"
export LDFLAGS="${LDFLAGS-} -nostartfiles -shared -Wl,-Bsymbolic -lm"

%make_build CC="${CC-gcc}" CFLAGS="${CFLAGS}" LDFLAGS="${LDFLAGS}"


%install
%make_install INSTALL_PLUGINS_DIR='%{buildroot}%{_libdir}/ladspa'


%files
%license COPYING COPYING-mayer_fft
%doc README

%{_libdir}/ladspa/autotalent.so


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.2-1
- initial build
